[jira] [Commented] (SYNCOPE-938) Use Java 8 language features

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (SYNCOPE-938) Use Java 8 language features

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SYNCOPE-938?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16141777#comment-16141777 ]

ASF subversion and git services commented on SYNCOPE-938:
---------------------------------------------------------

Commit 5be24a033334a8a15b0c12dfaef1e5326d813ced in syncope's branch refs/heads/master from [~ilgrosso]
[ https://git-wip-us.apache.org/repos/asf?p=syncope.git;h=5be24a0 ]

[SYNCOPE-938] Applying all Netbeans hints for upgrade to JDK 8


> Use Java 8 language features
> ----------------------------
>
>                 Key: SYNCOPE-938
>                 URL: https://issues.apache.org/jira/browse/SYNCOPE-938
>             Project: Syncope
>          Issue Type: Improvement
>            Reporter: Francesco Chicchiriccò
>             Fix For: 2.1.0
>
>
> As Java 8 is now the minimum requirement for 2.1, all the codebase should be scanned for making profit of Java 8 language features - which might eventually lead to remove {{commons-lang3}} / {{commons-collections4}} / ...



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)